/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.Observable;

/**
 *
 * @author Ruben
 */
public class Participante extends Observable{

    private String nombre;
    private boolean esUsuario;
    private boolean esCliente;
    private boolean esDesarrollador;
    private String rol;
    private String organizacion;
    private String autores;
    private String fuentes;

    public Participante () {
    }

    
    public String getNombre() {
        return nombre;
    }

    
    public void setNombre(String nombre) {
        this.nombre = nombre;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public boolean getEsUsuario() {
        return esUsuario;
    }

    
    public void setEsUsuario(boolean esUsuario) {
        this.esUsuario = esUsuario;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public boolean getEsCliente() {
        return esCliente;
    }

    
    public void setEsCliente(boolean esCliente) {
        this.esCliente = esCliente;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public boolean getEsDesarrollador() {
        return esDesarrollador;
    }

    
    public void setEsDesarrollador(boolean esDesarrollador) {
        this.esDesarrollador = esDesarrollador;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getRol() {
        return rol;
    }

    
    public void setRol(String rol) {
        this.rol = rol;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getOrganizacion() {
        return organizacion;
    }

    
    public void setOrganizacion(String organizacion) {
        this.organizacion = organizacion;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

   
    public String getAutores() {
        return autores;
    }

    
    public void setAutores(String autores) {
        this.autores = autores;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    
    public String getFuentes() {
        return fuentes;
    }

    
    public void setFuentes(String fuentes) {
        this.fuentes = fuentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }


}
